## bloboats 1.0.1.dsfg

=== Makefile ===
# Released under GNU GPL version 2 except for a few datafiles.

### Installation options:
# These are the directories for `make install'
# NOTICE: Use absolute paths! ~ means $HOME, but ONLY for PRIVATEDIR.

### Installation directory (Installation prefix)
# If you don't have root privileges, set this to /home/tentacleman/bloboats/
# for example, otherwise /. Don't use ~ or other environment variables!
PREFIX = /

### Or if you don't want to run make install at all, uncomments the next line
# and comment the line below. Compile and run with './bin/bloboats'
#DATADIR = data

DATADIR = $(PREFIX)/usr/games/bloboats/data

### If you do make install, you may perhaps want to set these
BINARYDIR = $(PREFIX)/usr/bin
CONFIGDIR = $(PREFIX)/etc

PRIVATEDIR = ~/.bloboats



### To compile, this program requires:
# SDL, SDL_image, SDL_mixer and SDL_net to compile. Libvorbis for music support.
# OpenGL support.

SOUND = 0
NETWORK = 1
MUSIC = 0
DEBUG = 0

# Select target system
# Possible targets: DEFAULT (Linux and most of others too)
#                   FREEBSD
#                   NETBSD (use gmake)
#                   MACOSX (not sure if replay and ghost work)
#                   CROSS (for cross-compiling to win32)


#This should probably be DEFAULT
TARGET = DEFAULT


### Only some random settings below


# For compiling with an icon, set these

ICON = src/icon.o
ICON_CMD = i586-mingw32msvc-windres -i src/icon.rc -o $(ICON)


### C++ compiler to be used
CXX_DEFAULT = g++
CXX_FREEBSD = g++
CXX_NETBSD = g++
CXX_MACOSX = g++
CXX_CROSS = i586-mingw32msvc-g++

CXX = $(CXX_$(TARGET))


### SDL-Config in your system
SDLCONFIG_DEFAULT = sdl-config
SDLCONFIG_FREEBSD = sdl11-config
SDLCONFIG_NETBSD = sdl-config
SDLCONFIG_MACOSX = sdl-config
SDLCONFIG_CROSS = i586-mingw32msvc-sdl-config

SDLCONFIG = $(SDLCONFIG_$(TARGET))

### Libs
LIBS_DEFAULT = `$(SDLCONFIG) --libs` -lSDL_image -lSDL_mixer -lSDL_net -lGL -lGLU
LIBS_FREEBSD = `$(SDLCONFIG) --libs` -lSDL_image -lSDL_mixer -lSDL_net -L/usr/X11R6/lib -lGL -lGLU
LIBS_NETBSD = `$(SDLCONFIG) --libs` -lSDL_image -lSDL_mixer -lSDL_net -lGL -lGLU -L/usr/pkg/lib
LIBS_MACOSX = `$(SDLCONFIG) --libs` -lSDL_image -lSDL_mixer -lSDL_net -framework OpenGL
LIBS_CROSS = `$(SDLCONFIG) --libs` -lSDL_image -lSDL_mixer -lSDL_net -lopengl32 -lglu32

LIBS = $(LIBS_$(TARGET))

### Binary path
BINARY_DEFAULT = bloboats
BINARY_FREEBSD = bloboats
BINARY_NETBSD = bloboats
BINARY_MACOSX = bloboats
BINARY_CROSS = bloboats.exe

BINARY = $(BINARY_$(TARGET))

### CXX-Flags
CXXFLAGS_DEFAULT = -g `$(SDLCONFIG) --cflags` -o bin/$(BINARY) -O2
CXXFLAGS_FREEBSD = -g `$(SDLCONFIG) --cflags` -I/usr/X11R6/include -o bin/$(BINARY) -O2
CXXFLAGS_NETBSD = -g `$(SDLCONFIG) --cflags` -O2 -I/usr/pkg/include
CXXFLAGS_MACOSX = -g `$(SDLCONFIG) --cflags` -o bin/$(BINARY) -O2
CXXFLAGS_CROSS = -g `$(SDLCONFIG) --cflags` -o bin/$(BINARY) -O2

CXXFLAGS = $(CXXFLAGS_$(TARGET))

### Stripping command
STRIP_DEFAULT = strip
STRIP_FREEBSD = strip
STRIP_NETBSD = strip
STRIP_MACOSX = strip
STRIP_CROSS = i586-mingw32msvc-strip

STRIP = $(STRIP_$(TARGET))


##########
# -fomit-frame-pointer -ffast-math


OBJ=src/main.o src/vec.o src/particle.o src/keyboard.o src/window.o src/mouse.o src/graphics.o src/wall.o src/spring.o \
src/model.o src/font.o src/compat.o src/level.o src/model_tex.o src/game.o src/menu.o \
src/menutext.o src/config.o src/player.o src/models/paatti.o src/models/canvas.o \
src/sound.o src/media.o src/path.o src/text.o src/models/hirvio.o src/models/invader.o \
src/water.o src/models/broken.o src/models/boulder.o src/element.o src/models/tux.o \
src/connection.o src/condition.o src/handler.o src/texfile.o

BINARY_DEFAULT_ = blobinv
BINARY_FREEBSD_ = blobinv
BINARY_NETBSD_ = blobinv
BINARY_MACOSX_ = blobinv
BINARY_CROSS_ = blobinv.exe
BINARY_ = $(BINARY_$(TARGET)_)
CXXFLAGS_DEFAULT_ = -g `$(SDLCONFIG) --cflags` -o bin/$(BINARY_) -O2
CXXFLAGS_FREEBSD_ = -g `$(SDLCONFIG) --cflags` -I/usr/X11R6/include -o bin/$(BINARY_) -O2
CXXFLAGS_NETBSD = -g `$(SDLCONFIG) --cflags` -O2 -I/usr/pkg/include
CXXFLAGS_MACOSX_ = -g `$(SDLCONFIG) --cflags` -o bin/$(BINARY_) -O2
CXXFLAGS_CROSS_ = -g `$(SDLCONFIG) --cflags` -o bin/$(BINARY_) -O2
CXXFLAGS_ = $(CXXFLAGS_$(TARGET)_)

all: config main

main: $(OBJ)
	$(CXX) $(OBJ) $(LIBS) $(CXXFLAGS)
	$(STRIP) bin/$(BINARY)

icon:
	$(ICON_CMD)
	$(CXX) -o bin/$(BINARY) $(OBJ) $(ICON) $(LIBS)
	$(STRIP) bin/$(BINARY)

config:
	echo "datadir $(DATADIR)" >bloboats.dirs
	echo "privatedir $(PRIVATEDIR)" >>bloboats.dirs
	chmod 644 bloboats.dirs
	echo "#define DEFAULT_CONFIGFILE \"$(CONFIGDIR)/bloboats.dirs\"" >src/compiling_settings.h
	echo "#define SOUND $(SOUND)" >> src/compiling_settings.h
	echo "#define NETWORK $(NETWORK)" >> src/compiling_settings.h
	echo "#define MUSIC $(MUSIC)" >> src/compiling_settings.h
	echo "#define DEBUG $(DEBUG)" >> src/compiling_settings.h

install:
	mkdir -p $(BINARYDIR)/
	mkdir -p $(CONFIGDIR)/
	cp bloboats.dirs $(CONFIGDIR)/
	mkdir -p $(DATADIR)/
	cp -R data/* $(DATADIR)/
	cp bin/$(BINARY) $(BINARYDIR)/
	chmod -R 744 $(DATADIR)
	chmod 755 `find $(DATADIR) -type d`

uninstall:
	rm -f $(CONFIGDIR)/bloboats.dirs
	rm -rf $(DATADIR)/*
	rm -f $(BINARYDIR)/bloboats
	rmdir -p --ignore-fail-on-non-empty $(DATADIR)
	rmdir -p --ignore-fail-on-non-empty $(CONFIGDIR)
	rmdir -p --ignore-fail-on-non-empty $(BINARYDIR)

gho: src/viewport.o
	$(CXX) src/viewport.o $(LIBS) $(CXXFLAGS_)
	$(STRIP) bin/$(BINARY_)

clean:
	rm bloboats.dirs
	rm src/*.o
	rm src/models/*.o
	rm bin/$(BINARY)

## bloboats 1.0.2+dfsg

=== Makefile ===
--- 
+++ 
@@ -24,12 +24,11 @@
 
 
 ### To compile, this program requires:
-# SDL, SDL_image, SDL_mixer and SDL_net to compile. Libvorbis for music support.
+# SDL, SDL_image, SDL_mixer to compile. Libvorbis for music support.
 # OpenGL support.
 
-SOUND = 0
-NETWORK = 1
-MUSIC = 0
+SOUND = 1
+MUSIC = 1
 DEBUG = 0
 
 # Select target system
@@ -73,11 +72,11 @@
 SDLCONFIG = $(SDLCONFIG_$(TARGET))
 
 ### Libs
-LIBS_DEFAULT = `$(SDLCONFIG) --libs` -lSDL_image -lSDL_mixer -lSDL_net -lGL -lGLU
-LIBS_FREEBSD = `$(SDLCONFIG) --libs` -lSDL_image -lSDL_mixer -lSDL_net -L/usr/X11R6/lib -lGL -lGLU
-LIBS_NETBSD = `$(SDLCONFIG) --libs` -lSDL_image -lSDL_mixer -lSDL_net -lGL -lGLU -L/usr/pkg/lib
-LIBS_MACOSX = `$(SDLCONFIG) --libs` -lSDL_image -lSDL_mixer -lSDL_net -framework OpenGL
-LIBS_CROSS = `$(SDLCONFIG) --libs` -lSDL_image -lSDL_mixer -lSDL_net -lopengl32 -lglu32
+LIBS_DEFAULT = `$(SDLCONFIG) --libs` -lSDL_image -lSDL_mixer -lGL -lGLU
+LIBS_FREEBSD = `$(SDLCONFIG) --libs` -lSDL_image -lSDL_mixer -L/usr/X11R6/lib -lGL -lGLU
+LIBS_NETBSD = `$(SDLCONFIG) --libs` -lSDL_image -lSDL_mixer -lGL -lGLU -L/usr/pkg/lib
+LIBS_MACOSX = `$(SDLCONFIG) --libs` -lSDL_image -lSDL_mixer -framework OpenGL
+LIBS_CROSS = `$(SDLCONFIG) --libs` -lSDL_image -lSDL_mixer -lopengl32 -lglu32
 
 LIBS = $(LIBS_$(TARGET))
 
@@ -136,6 +135,7 @@
 all: config main
 
 main: $(OBJ)
+	mkdir -p bin
 	$(CXX) $(OBJ) $(LIBS) $(CXXFLAGS)
 	$(STRIP) bin/$(BINARY)
 
@@ -150,7 +150,6 @@
 	chmod 644 bloboats.dirs
 	echo "#define DEFAULT_CONFIGFILE \"$(CONFIGDIR)/bloboats.dirs\"" >src/compiling_settings.h
 	echo "#define SOUND $(SOUND)" >> src/compiling_settings.h
-	echo "#define NETWORK $(NETWORK)" >> src/compiling_settings.h
 	echo "#define MUSIC $(MUSIC)" >> src/compiling_settings.h
 	echo "#define DEBUG $(DEBUG)" >> src/compiling_settings.h

=== debian/changelog ===
bloboats (1.0.2+dfsg-1) unstable; urgency=low

  * Team upload.

  [ Mahyuddin Susanto ]
  * New upstream release.
  * Refreshed all patches:
    - debian/patches/01-fix_segfault_notebook.patch
    - debian/patches/02-fix-Makefile.patch
    - debian/patches/03-uint32.patch
  * Update copyright to copyright format 1.0.
  * Simplify debian/rules by using dh sequencer.
  * Switch to source format 3.0 (quilt).

  [ Gonéri Le Bouder ]
  * Remove myself from Uploaders.

  [ Markus Koschany ]
  * Bump compatibility level to 9 and require debhelper >=9.
  * Bump Standards-Version to 3.9.4, no changes needed.
  * Rename the debian package version to 1.0.2+dfsg. (Closes: #593517)
  * The new upstream version supports higher screen resolutions, at least
    1680x1050 pixel. (Closes: #560101)
  * The new upstream version seemingly fixes the bug that HV-Arena finishes
    before the player can reach the Enterprise. (Closes: #413819)
  * Update debian/watch and make the file extension regex more flexible.
  * debian/rules:
    - Build with --parallel.
    - Drop unneeded overrides and further simplify debian/rules.
  * debian/patches:
    - Add DEP-3 header to 02-fix-Makefile.patch
    - Add Hardening.patch to enable $(LDFLAGS).
  * Convert bloboats.sgml to bloboats.6. Add missing OPTIONS.
  * Install readme.txt via docs file and bloboats.6 with manpages file.
  * Add new high resolution bloboats.png icon.
  * debian/control:
    - Drop docbook-to-man and libglib2.0-dev from Build-Depends. Both are not
      needed.
  * bloaboats.desktop: Add comment in German and keywords.

 -- Markus Koschany <apo@gambaru.de>  Fri, 31 May 2013 12:24:27 +0200

bloboats (1.0.1.dsfg-3) unstable; urgency=low

  [ Paul Wise ]
  * Add a watch file
  * Update upstream URLs

  [ Gonéri Le Bouder ]
  * Use /usr/share/quilt/quilt.make to call quilt
  * Unapply the patches during the clean, thanks Raphael Geisser
  * Standard version 3.8.1
   - do not ignore 'make clean' return
  * deals correctly with noopt and debug, thanks Raphael Geisser
  * Apply Raphael Geisser patch to pass correct parameter to SDL_SetVideoMode
  * Add fix_segfault_notebook.diff to avoid a segfault if the screen
    doesn't accept 1024x768 like most of the notebook computer
    (Closes: #523271)

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Sun, 19 Apr 2009 00:00:15 +0200

bloboats (1.0.1.dsfg-2) unstable; urgency=low

  [ William Lima ]
  * Add call to dh_desktop to debian/rules
  * Add .desktop file (Closes: #466287)

  [ Jon Dowland ]
  * add Homepage: control field to source stanza

  [ Barry deFreese ]
  * Update fix_makefile.patch to remove strip. (Closes: #436595).
  * Remove Homepage from package description.
  * Add VCS tags in control.
  * Bump Standards Version to 3.7.3. (No changes needed).
  * Add myself to uploaders.

  [ Ansgar Burchardt ]
  * Add Icon to .desktop file

  [ Gonéri Le Bouder ]
  * remove libsdl-mixer1.2-dev since it's not needed for the moment
  * do not link with sdl-mixer too (fix_makefile.patch updated)

 -- Gonéri Le Bouder <goneri@rulezlan.org>  Wed, 20 Feb 2008 16:38:06 +0000

bloboats (1.0.1.dsfg-1) unstable; urgency=low

  [ Gonéri Le Bouder ]
  * Initial release (Closes: #383945)
  * dfsg: sound files removed
   - README.Debian created to explain the issue.

  [ Jon Dowland ]
  * update menu section to "Games/Action" for menu transition
    (thanks Linas Žvirblis)

 -- Jon Dowland <jon@alcopop.org>  Thu, 12 Jul 2007 11:23:53 +0100

=== debian/control ===
Source: bloboats
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Barry deFreese <bddebian@comcast.net>,
Build-Depends:
 debhelper (>= 9),
 libsdl-image1.2-dev,
 libsdl-net1.2-dev
Standards-Version: 3.9.4
Homepage: http://bloboats.blobtrox.net/about.php
Vcs-Git: git://anonscm.debian.org/pkg-games/bloboats.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/bloboats.git

Package: bloboats
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Boat racing game
 Bloboats is an arcade-like boat racing game in the hybrid spirit of
 Mario-like platform jumpers and elasto mania / xmoto.
 .
 The objective of Bloboats is to reach MS Enterprise as fast as possible to
 save it from the hands of the terrible Tentacle Monsters of an Unknown Master
 and in the same time beat your friend and laugh at his or her puny time.
 .
 The journey starts from a place called Tutorial, somewhere in the United
 States, and somehow the player ends up in the famous HV-Arena of Helsinki.
 During the trip a number of MS Enterprises are saved, luckily, from the
 hands of the terrible Tentacle Monsters of an Unknown Master, who actually
 is your dad. Or then ain't. :-)

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel


override_dh_auto_build:
	make DATADIR=/usr/share/games/bloboats

override_dh_auto_install:
	make \
		DATADIR=/usr/share/games/bloboats \
		DESTDIR=debian/bloboats \
		BINARYDIR=/usr/games install

=== debian/watch ===
version=3
opts="dversionmangle=s/\+dfsg//" \
http://bloboats.blobtrox.net/download.php .*/bloboats-([0-9.]+)\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)

## bloboats 1.0.2-maemo1

=== debian/changelog ===
bloboats (1.0.2-maemo1) unstable; urgency=low

  *Maemo fixes
  *optified

 -- Aapo Rantalainen <aapo.rantalainen@gmail.com>  Mon, 05 Aug 2013 20:58:15 +0200

=== debian/control ===
Source: bloboats
Section: user/games
Priority: optional
Maintainer: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Build-Depends: debhelper (>= 5.0.0), quilt, docbook-to-man, 
 libglib2.0-dev, 
 libsdl-image1.2-dev, libsdl-net1.2-dev, libsdl-mixer1.2-dev,
 libglshim-dev [armel], libglushim-dev [armel],
 libgl1-mesa-dev [i386], libglu1-mesa-dev [i386]
Standards-Version: 3.8.1
Homepage: http://bloboats.blobtrox.net/about.php
Vcs-Svn: svn://svn.debian.org/svn/pkg-games/packages/trunk/bloboats/
Vcs-Browser: http://svn.debian.org/wsvn/pkg-games/packages/trunk/bloboats/?op=log

Package: bloboats
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: a boat racing game
 Bloboats is an arcade-like boat racing game in the hybrid spirit of 
 Mario-like platform jumpers and elasto mania / xmoto.
 .    
 The objective of Bloboats is to reach MS Enterprise as fast as possible to
 save if from the hands of the terrible Tentacle Monsters of an Unknown Master
 and the same time beat your friend and laugh at his or her puny time.
 . 
 The journey starts from a place called Tutorial, somewhere in the United
 States, and somehow the player ends up in the famous HV-Arena of Helsinki.
 During the trip a number of MS Enterprises are saved, luckily, from the
 hands of the terrible Tentacle Monsters of an Unknown Master, who actually
 is your dad. Or then ain't. :-)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#export DH_VERBOSE=1
include /usr/share/quilt/quilt.make

CFLAGS = -Wall -g

ifneq (,$(filter noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -g
endif


build: build-stamp
build-stamp: $(QUILT_STAMPFN)
	dh_testdir
	make DATADIR=/usr/share/games/bloboats
	docbook-to-man debian/bloboats.sgml > debian/bloboats.6
	touch build-stamp

clean: unpatch
	dh_testdir
	[ ! -f bloboats.dirs ] || make clean
	rm -f debian/bloboats.6
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs
	#make DATADIR=/usr/share/games/bloboats DESTDIR=debian/bloboats BINARYDIR=/usr/games install

	#directories
	mkdir -p debian/bloboats/opt/bloboats

	#binary
	cp bin/bloboats debian/bloboats/opt/bloboats

	#data-files
	cp -r data debian/bloboats/opt/bloboats

	#config
	mkdir -p debian/bloboats/etc
	echo "datadir /opt/bloboats/data" > debian/bloboats/etc/bloboats.dirs 
	echo "privatedir ~/.bloboats" >> debian/bloboats/etc/bloboats.dirs

	# xpm
	mkdir -p debian/bloboats/usr/share/pixmaps
	cp debian/bloboats.xpm debian/bloboats/usr/share/pixmaps
	# desktop
	mkdir -p debian/bloboats/usr/share/applications/hildon
	cp debian/bloboats.desktop debian/bloboats/usr/share/applications/hildon

binary-indep: build install

binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs readme.txt debian/README.Debian
	dh_installman debian/bloboats.6
	dh_installmenu
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

=== debian/watch ===
version=3
opts="dversionmangle=s/\.dsfg//" http://bloboats.blobtrox.net/download.php .*/bloboats-([0-9.]+)\.tar\.gz
